diff -ur trace-cmd-v2.7.orig/Makefile trace-cmd-v2.7/Makefile
--- trace-cmd-v2.7.orig/Makefile	2018-02-01 23:35:28.000000000 +0100
+++ trace-cmd-v2.7/Makefile	2018-09-16 16:42:58.445655156 +0200
@@ -63,7 +63,7 @@
 var_dir = $(HOME)/.trace-cmd/
 else
 plugin_dir = $(libdir)/trace-cmd/plugins
-python_dir = $(libdir)/trace-cmd/python
+python_dir ?= $(libdir)/trace-cmd/python
 PLUGIN_DIR = -DPLUGIN_DIR="$(plugin_dir)"
 PYTHON_DIR = -DPYTHON_DIR="$(python_dir)"
 PLUGIN_DIR_SQ = '$(subst ','\'',$(PLUGIN_DIR))'
@@ -119,8 +119,11 @@
 test-build = $(if $(shell sh -c 'echo "$(1)" | \
 	$(CC) -o /dev/null -c -x c - > /dev/null 2>&1 && echo y'), $2)
 
+ifndef NO_UDIS86
 # have udis86 disassembler library?
-udis86-flags := $(call test-build,\#include <udis86.h>,-DHAVE_UDIS86 -ludis86)
+udis86-flags := -DHAVE_UDIS86
+udis86-ldflags := -ludis86
+endif # NO_UDIS86
 
 define BLK_TC_FLUSH_SOURCE
 #include <linux/blktrace_api.h>
@@ -276,6 +279,7 @@
 # Append required CFLAGS
 override CFLAGS += $(CONFIG_FLAGS) $(INCLUDES) $(PLUGIN_DIR_SQ) $(VAR_DIR)
 override CFLAGS += $(udis86-flags) $(blk-flags)
+override LDFLAGS += $(udis86-ldflags)
 
 ifeq ($(VERBOSE),1)
   Q =
